From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/doit/
Date: Thu, 9 Jul 2020 08:13:23 +0000 (UTC) [thread overview]
Message-ID: <1594282390.c313d784e21b3349f3203dc08e57bb510505e185.juippis@gentoo> (raw)
commit: c313d784e21b3349f3203dc08e57bb510505e185
Author: Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Tue Jul 7 14:02:13 2020 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Jul 9 08:13:10 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c313d784
dev-python/doit: add python3_8 target
Bug: https://bugs.gentoo.org/718636
Package-Manager: Portage-2.3.99, Repoman-2.3.23
Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/16626
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
dev-python/doit/doit-0.32.0-r2.ebuild | 54 +++++++++++++++++++++++++++++++++++
1 file changed, 54 insertions(+)
diff --git a/dev-python/doit/doit-0.32.0-r2.ebuild b/dev-python/doit/doit-0.32.0-r2.ebuild
new file mode 100644
index 00000000000..b59594aad9b
--- /dev/null
+++ b/dev-python/doit/doit-0.32.0-r2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="Automation tool"
+HOMEPAGE="https://pydoit.org/ https://pypi.org/project/doit/"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/cloudpickle[${PYTHON_USEDEP}]
+ dev-python/pyinotify[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="
+ test? (
+ ${RDEPEND}
+ $(python_gen_impl_dep sqlite)
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pyflakes[${PYTHON_USEDEP}]
+ >=dev-python/pytest-5.4[${PYTHON_USEDEP}]
+ )"
+PDEPEND=">=dev-python/doit-py-0.4.0[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc dev-python/sphinx_rtd_theme
+
+PATCHES=(
+ "${FILESDIR}/${P}_pytest5.4.patch"
+ "${FILESDIR}/${P}_unpickable.patch"
+)
+
+src_prepare() {
+ default
+ # Replace custom theme with builtin for documentation
+ sed -i -e "s:'press':'sphinx_rtd_theme':" doc/conf.py || die
+ # Disable test failing due to impact on PATH run in a sandbox
+ sed -i -e "s:test_target:_&:" tests/test_cmd_strace.py || die
+}
+
+src_install() {
+ distutils-r1_src_install
+ newbashcomp bash_completion_doit ${PN}
+ insinto /usr/share/zsh/site-functions
+ newins zsh_completion_doit _${PN}
+}
next reply other threads:[~2020-07-09 8:13 UTC|newest]
Thread overview: 51+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-07-09 8:13 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-27 9:53 [gentoo-commits] repo/gentoo:master commit in: dev-python/doit/ Michał Górny
2024-07-27 8:10 Arthur Zamarin
2024-07-11 19:23 Michał Górny
2024-06-26 9:05 Sam James
2023-11-24 17:05 Arthur Zamarin
2023-11-23 20:33 Michał Górny
2023-11-08 15:39 Michał Górny
2023-11-08 15:39 Michał Górny
2023-04-21 16:14 David Seifert
2023-03-29 20:08 Sam James
2023-03-29 20:08 Sam James
2023-02-26 4:01 Michał Górny
2023-02-26 4:01 Michał Górny
2023-02-26 4:01 Michał Górny
2022-07-12 17:19 Arthur Zamarin
2022-05-15 10:57 Michał Górny
2022-05-15 8:19 Jakov Smolić
2022-04-23 7:12 Arthur Zamarin
2022-04-07 17:28 Arthur Zamarin
2022-03-28 9:17 Jakov Smolić
2022-03-21 8:54 Michał Górny
2022-03-21 7:47 Agostino Sarubbo
2022-02-18 10:59 Arthur Zamarin
2022-02-13 9:42 Michał Górny
2022-02-13 8:41 Jakov Smolić
2022-01-13 7:16 Arthur Zamarin
2021-09-09 16:00 Arthur Zamarin
2021-03-02 8:40 Sam James
2020-10-25 23:47 Sam James
2020-10-25 23:42 Thomas Deutschmann
2020-10-21 21:45 Michał Górny
2020-09-17 20:27 Sam James
2020-09-17 20:22 Sam James
2020-09-17 20:22 Sam James
2020-08-25 12:53 Agostino Sarubbo
2020-07-09 8:13 Joonas Niilola
2020-07-09 8:13 Joonas Niilola
2020-07-06 19:15 Michał Górny
2020-05-16 12:59 Joonas Niilola
2020-02-02 15:34 Michał Górny
2020-01-28 8:24 Joonas Niilola
2020-01-20 22:52 Sebastian Pipping
2017-09-24 11:00 Michael Palimaka
2017-06-20 12:37 Pacho Ramos
2017-05-28 10:22 Pacho Ramos
2017-05-28 10:22 Pacho Ramos
2017-05-28 10:17 Pacho Ramos
2017-05-28 10:17 Pacho Ramos
2016-02-18 17:46 Patrick Lauer
2015-12-09 19:07 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1594282390.c313d784e21b3349f3203dc08e57bb510505e185.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox